Card
List card top-ups and withdrawals
GET
The merchant's card top-ups and withdrawals, newest first, with cursor pagination.
merchantApiKeymerchantTimestampmerchantNoncemerchantSignatureheader
X-API-KEY<token>Merchant API key (starts with upk_, also accepts api-key); signing headers are also required
header
X-Timestamp<token>Unix timestamp in seconds, within 300 seconds of server time
header
X-Nonce<token>Unique per request; cannot be reused with the same credential during the timestamp validity window
header
X-Signature<token>Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest
card_id?stringOnly this card (starts with card_)
type?stringValue in
"top_up""withdraw"status?stringpending: accepted, being processed by the issuersucceeded: succeeded and bookedfailed: failed, seefailure_reason; a held top-up amount has been released
Value in
"pending""succeeded""failed"limit?integerPage size, 1 to 100, default 20
Range
1 <= value <= 100cursor?stringnext_cursor from the previous page
Top-ups and withdrawals; next_cursor is null when there are no more
application/json- response
data*array<>next_cursor*string|nullcurl -X GET 'https://sandbox.getupp.net/api/v1/card-fundings'Example Response
{ "data": [ { "id": "string", "card_id": "string", "type": "top_up", "order_no": "string", "amount": "string", "fee": "string", "currency": "string", "status": "pending", "failure_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}